org.apache.velocity.tools.view

## Class UAParser

- java.lang.Object
- - org.apache.velocity.tools.view.UAParser

    public class UAParser
    extends Object

### Nested Class Summary

Nested Classes
`static class` `UAParser.DeviceType`
`static class` `UAParser.UAEntity`
`static class` `UAParser.UserAgent`

### Constructor Summary

Constructors
Constructor and Description
`UAParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static UAParser.UserAgent` `parseUserAgent(String userAgentString, org.slf4j.Logger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UAParser

    public UAParser()

### Method Detail

#### parseUserAgent

    public static UAParser.UserAgent parseUserAgent(String userAgentString,
                                                    org.slf4j.Logger log)